#
# spec file for package perl-Net_SSLeay (Version 1.30)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Net_SSLeay
BuildRequires:  openssl-devel
Version:        1.30
Release:        13.2
Provides:       p_ssleay
Obsoletes:      p_ssleay
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Net
Summary:        Net::SSLeay Perl Module
Source:         Net_SSLeay.pm-%{version}.tar.bz2
Patch0:         Net_SSLeay.pm-%{version}.diff
Patch1:         Net_SSLeay.pm-%{version}-test.diff
Patch3:         Net_SSLeay.pm-%{version}-entropy.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Net::SSLeay Perl module for using OpenSSL.



Authors:
--------
    Sampo Kellomaki <sampo@iki.fi>

%debug_package
%prep
%setup -q -n Net_SSLeay.pm-%{version}
%patch0
%patch1
%patch3

%build
# replace rest of /usr/local/bin/perl with /usr/bin/perl
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
	sed -e s@/usr/local/bin/perl@/usr/bin/perl@g $f > $f.tmp
	mv $f.tmp $f
done
perl Makefile.PL -- OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes Credits QuickRef README examples
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
/var/adm/perl-modules/%{name}

%changelog -n perl-Net_SSLeay
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - anicka@suse.cz
- update to 1.30
- remove X509_STORE_CTX_set_flags patch (not neccessary any more)
* Thu Mar 17 2005 - mjancar@suse.cz
- use secure path for entropy (#65753)
* Wed Sep 29 2004 - mls@suse.de
- added X509_STORE_CTX_set_flags() function needed to enable
  crl checking. Also fixed the documentation.
* Wed Mar 03 2004 - mjancar@suse.cz
- update to 1.25
- disable test running out of memmory in build environment
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue Jun 17 2003 - mjancar@suse.cz
- update to 1.23
- kill obsolete patches
- fix filelist
* Fri Jun 06 2003 - mjancar@suse.cz
- update to 1.22
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Thu Nov 21 2002 - prehak@suse.cz
- updated to version 1.21
- applied patches eliminating security bug [#21903]
* Thu Sep 12 2002 - prehak@suse.cz
- updated to version 1.20
- fixed hanged up processes in test -> enabled make test
* Sat Jul 20 2002 - prehak@suse.cz
- update to version 1.18
- adjusted %%files section
- added examples directory to documentation
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Mon Jan 14 2002 - rvasice@suse.cz
- update to version 1.12
- spec file cleanup
* Thu Oct 11 2001 - cihlar@suse.cz
- disabled make test as it leaves processes after build
* Wed Apr 04 2001 - schwab@suse.de
- Fix cast to not lose pointer bits.
* Mon Mar 26 2001 - cihlar@suse.cz
- fixed AUTOLOAD
- added make test
- remove tests which need network
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed neededforbuild
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_ssleay -> perl-Net_SSLeay
* Wed Aug 23 2000 - cihlar@suse.cz
- package created
